How to install mod_security 2.1.1?

Problems with the Linux version of XAMPP, questions, comments, and anything related.

How to install mod_security 2.1.1?

Postby LEX200 » 21. April 2007 16:44

when I type

/opt/lampp/bin/apxs -cia mod_security.c

apears:

Code: Select all
# /opt/lampp/bin/apxs -cia mod_security.c
/opt/lampp/build/libtool --silent --mode=compile gcc -prefer-pic -O6 -I/opt/lampp/include -L/opt/lampp/lib  -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -pthread -I/opt/lampp/include  -I/opt/lampp/include   -I/opt/lampp/include -I/opt/lampp/include  -c -o mod_security.lo mod_security.c && touch mod_security.slo
gcc: mod_security.c:     No such file or directory
gcc: no input files
apxs:Error: Command failed with rc=65536


help me to install

PS. sorry for my bad english
LEX200
 
Posts: 13
Joined: 13. September 2006 23:00

Postby Wiedmann » 21. April 2007 16:51

gcc: mod_security.c: No such file or directory

The file "mod_security.c" is in the current directory?
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby LEX200 » 21. April 2007 17:10

other problem

Code: Select all
# /opt/lampp/bin/apxs -cia modsecurity.c
/opt/lampp/build/libtool --silent --mode=compile gcc -prefer-pic -O6 -I/opt/lampp/include -L/opt/lampp/lib  -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -pthread -I/opt/lampp/include  -I/opt/lampp/include   -I/opt/lampp/include -I/opt/lampp/include  -c -o modsecurity.lo modsecurity.c && touch modsecurity.slo
/opt/lampp/build/libtool --silent --mode=link gcc -o modsecurity.la  -rpath /opt/lampp/modules -module -avoid-version    modsecurity.lo
apxs:Error: Sorry, cannot determine bootstrap symbol name.
apxs:Error: Please specify one with option `-n'.
Last edited by LEX200 on 21. April 2007 17:14, edited 1 time in total.
LEX200
 
Posts: 13
Joined: 13. September 2006 23:00

Postby Wiedmann » 21. April 2007 17:12

# /opt/lampp/bin/apxs -cia modsecurity.c

Should the file name not be "mod_security.c"?

(BTW: I don't use Linux and have never build this modul...)
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby LEX200 » 23. April 2007 15:03

install with command
/opt/lampp/bin/apxs -n modsecurity -cia modsecurity.c
# /opt/lampp/bin/apxs -n modsecurity -cia modsecurity.c
/opt/lampp/build/libtool --silent --mode=compile gcc -prefer-pic -O6 -I/opt/lampp/include -L/opt/lampp/lib -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -pthread -I/opt/lampp/include -I/opt/lampp/include -I/opt/lampp/include -I/opt/lampp/include -c -o modsecurity.lo modsecurity.c && touch modsecurity.slo
/opt/lampp/build/libtool --silent --mode=link gcc -o modsecurity.la -rpath /opt/lampp/modules -module -avoid-version modsecurity.lo
/opt/lampp/build/instdso.sh SH_LIBTOOL='/opt/lampp/build/libtool' modsecurity.la /opt/lampp/modules
/opt/lampp/build/libtool --mode=install cp modsecurity.la /opt/lampp/modules/
cp .libs/modsecurity.so /opt/lampp/modules/modsecurity.so
cp .libs/modsecurity.lai /opt/lampp/modules/modsecurity.la
cp .libs/modsecurity.a /opt/lampp/modules/modsecurity.a
ranlib /opt/lampp/modules/modsecurity.a
chmod 644 /opt/lampp/modules/modsecurity.a
PATH="$PATH:/sbin" ldconfig -n /opt/lampp/modules
----------------------------------------------------------------------
Libraries have been installed in:
/opt/lampp/modules

If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the `-LLIBDIR'
flag during linking and do at least one of the following:
- add LIBDIR to the `LD_LIBRARY_PATH' environment variable
during execution
- add LIBDIR to the `LD_RUN_PATH' environment variable
during linking
- use the `-Wl,--rpath -Wl,LIBDIR' linker flag
- have your system administrator add LIBDIR to `/etc/ld.so.conf'

See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
----------------------------------------------------------------------
chmod 755 /opt/lampp/modules/modsecurity.so
[activating module `modsecurity' in /opt/lampp/etc/httpd.conf]



but when I start apache

Code: Select all
httpd: Syntax error on line 128 of /opt/lampp/etc/httpd.conf: Cannot load /opt/lampp/modules/modsecurity.so into server: /opt/lampp/modules/modsecurity.so: undefined symbol: parse_arguments   


line128 - LoadModule modsecurity_module modules/modsecurity.so
LEX200
 
Posts: 13
Joined: 13. September 2006 23:00


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 6 guests